## org.apache.poi.hssf.record
Class PrecisionRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PrecisionRecord

public class PrecisionRecord
extends Record

Title: Precision Record

Description: defines whether to store with full precision or what's displayed by the gui (meaning have really screwed up and skewed figures or only think you do!)

REFERENCE: PG 372 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`short` `field_1_precision`
`static short` `sid`

Constructor Summary
`PrecisionRecord()`
`PrecisionRecord(short id, short size, byte[] data)` Constructs a Precision record and sets its fields appropriately.
`PrecisionRecord(short id, short size, byte[] data, int offset)` Constructs a Precision record and sets its fields appropriately.

Method Summary
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`boolean` `getFullPrecision()` get whether to use full precision or just skew all you figures all to hell.
`int` `getRecordSize()` gives the current serialized size of the record.
`short` `getSid()` return the non static version of the id for this record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setFullPrecision(boolean fullprecision)` set whether to use full precision or just skew all you figures all to hell.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### field_1_precision

    public short field_1_precision

Constructor Detail

### PrecisionRecord

    public PrecisionRecord()

### PrecisionRecord

    public PrecisionRecord(short id,
                           short size,
                           byte[] data)

  Constructs a Precision record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xe or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### PrecisionRecord

    public PrecisionRecord(short id,
                           short size,
                           byte[] data,
                           int offset)

  Constructs a Precision record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xe or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setFullPrecision

    public void setFullPrecision(boolean fullprecision)

  set whether to use full precision or just skew all you figures all to hell.

  Parameters:
    `fullprecision` - - or not

### getFullPrecision

    public boolean getFullPrecision()

  get whether to use full precision or just skew all you figures all to hell.

  Returns:
    fullprecision - or not

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright © 2003 Apache Software Foundation.